package com.yihu.wlyy.entity.doctor.survey;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * Created by Reece on 2017/3/17.
 */
@Entity
@Table(name = "wlyy_survey_dimension_detail")
public class SurveyDimensionDetail extends IdEntity implements Serializable {
//      	维度项目编码
    private  String code;
//    维度表编码
    private String dimensionCode;
//    属性名（子维度）
    private String name;
//    属性值（子维度）
    private Integer value;
//    属性名（父维度）
    private  String dimensionName;
//    属性值（父维度）
    private  Integer dimensionValue;
//         	维度项目编码
    private  String surveyCode;

    public SurveyDimensionDetail() {
    }

    public SurveyDimensionDetail(String code, String dimensionCode, String name, Integer value, String dimensionName, Integer dimensionValue, String surveyCode) {
        this.code = code;
        this.dimensionCode = dimensionCode;
        this.name = name;
        this.value = value;
        this.dimensionName = dimensionName;
        this.dimensionValue = dimensionValue;
        this.surveyCode = surveyCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDimensionCode() {
        return dimensionCode;
    }

    public void setDimensionCode(String dimensionCode) {
        this.dimensionCode = dimensionCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getDimensionName() {
        return dimensionName;
    }

    public void setDimensionName(String dimensionName) {
        this.dimensionName = dimensionName;
    }

    public Integer getDimensionValue() {
        return dimensionValue;
    }

    public void setDimensionValue(Integer dimensionValue) {
        this.dimensionValue = dimensionValue;
    }

    public String getSurveyCode() {
        return surveyCode;
    }

    public void setSurveyCode(String surveyCode) {
        this.surveyCode = surveyCode;
    }
}
